﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace DnnDash.DesktopDashboard
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            
            frmSignin signin = new frmSignin();
            if (signin.ShowDialog() == DialogResult.OK)
            {
                Authentication credentials = signin.Credentials;
                Properties.Settings.Default.HttpAlias = credentials.HttpAlias;
                Application.Run(new frmMain(credentials));
            }
            else
            {
                Application.Exit();
            }
            
        }
    }
}
